/* cardealer */

input.all.ajax-filter[value="0"]:after {
    content: "(Alle anzeigen)";
    position: absolute;
    left: auto;
    top: 0.5rem;
    right: 2rem;
    color: gray;
}


/* .sorting_field.formField,*/

.wrapper.count-0,
.wrapper.count-5,
.wrapper.count-8,
.wrapper.count-18 {
    display: none !important;
}

#carDetails h2:after {
    content: "";
    height: 0;
    width: 0;
    position: absolute;
}

.tx-cardealer-show.visible {
    padding: 1.5rem;
    top: 10rem;
    bottom: 10rem;
    left: 20%;
    right: 20%;
    width: 60%;
    height: 80%;
    border: 6px solid var(--primary);
}

.tx-cardealer-list-item.row {
    padding-bottom: 1.5rem;
}

.tx-cardealer .slick-slide>div {
    padding: 0.5rem 0;
}

.tx-cardealer .slick-slide>div>br {
    height: 0 !important;
    position: relative;
    display: flex;
    overflow: hidden;
    line-height: 0;
    width: 0;
}

.tx-cardealer .slick-slide span.ellipsis {
    line-height: 1;
}

.tx-cardealer .slick-slider .slick-track .slick-slide {
    /* desktop 1200px width*/
    /* max-width: 408px; */
    /* desktop col-6 */
    max-width: 560px;
    width: 50%;
    max-width: 32em;
    width: 32em;
}

.tx-cardealer .specials-image img {
    width: auto !important;
    margin-left: auto;
    margin-right: auto;
}


/* cardealer filter  */

.tx-cardealer {
    position: relative;
}

.tx-cardealer-filter form.default-search>div:first-child {
    position: absolute;
    left: -999em;
}

.tx-cardealer-filter form.default-search {
    display: flex;
}

select.form-control.input-sm.sorting.ajax-filter {
    height: auto;
}

.tx-cardealer-filter .sorting_field .input-group-addon {
    padding: 0 7px 0 0;
    height: auto !important;
    line-height: 3rem;
    border: 2px solid #ced4da;
    border-left: none;
}

span.input-group-addon {
    height: auto !important;
}

.tx-cardealer-filter .limit {
    width: auto;
    height: auto !important;
    line-height: 1.5rem;
    display: inline-flex;
    border-radius: 0;
    margin-right: 0.5rem;
}

.tx-cardealer-filter .sorting_field {
    margin: initial;
}

.tx-cardealer-filter .sorting_field label {
    height: 100%;
}

.tx-cardealer-filter .sorting_field label.act {
    background-color: #d4e7d4 !important;
}

.tx-cardealer-filter .d-flex.sites-nr {
    flex: 1 1 100%;
    max-width: 100%;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
}

li[class*="car-page-1"] a {
    font-weight: 600;
}

.apply-selection {
    display: flex;
}

.apply-selection em {
    order: 10;
    font-size: 1.25rem;
    font-style: normal;
}

.apply-selection em:after {
    content: "\f054";
    font-family: 'font awesome 5 free';
    font-weight: 700;
    color: green;
    padding-left: 0.5rem;
}

.tx-cardealer-filter .apply-selection.btn.btn-primary {
    background-color: var(--primary);
}

.tx-cardealer-filter .apply-selection.btn.btn-primary:hover {
    background-color: var(--primaryh);
}

.tx-cardealer .to-detail {
    margin-top: -2rem;
}

#carDetails .buttons .btn {
    margin-top: 1rem;
    width: 100%;
    line-height: inherit;
    display: flex;
    align-items: center;
    justify-content: center;
}

#carDetails h2.model_description .backlink {
    line-height: initial;
}

.tx-cardealer .fa-envelope {
    position: relative;
    top: 2px;
}

img.effClassImg {
    max-width: 100%;
    height: auto;
}

#request-form .form-fields .row {
    margin-bottom: 1rem;
}

#modal-request-form textarea.form-control {
    white-space: pre-line;
}

#modal-request-form button#send-form[disabled] {
    color: red !important;
    display: none !important;
}

#modal-request-form div#form-info {
    padding-top: 3rem;
    padding-bottom: 3rem;
    padding-left: 0;
    padding-right: 0;
}


/* cardealer slick slide */

.cardealer-slick.slick-slider.slick-initialized .slick-slide {
    margin: 0 20px 0 20px;
    box-shadow: none;
    padding: 0;
    height: auto;
    border: 0;
    background-color: whitesmoke;
}

.slick-slide h3 {
    position: absolute;
    background-color: rgb(0 0 0 / 80%);
    color: white;
    padding: 0.5rem 1rem;
    display: flex;
    font-size: 1.5rem;
    top: 52%;
    right: 0;
}

.slick-slider div.specials-image {
    padding-top: 0 !important;
}

.price {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.price p {
    margin-bottom: 0.5rem;
}

.cardealer-short-info,
.slick-slide .price,
.envkv_infos {
    padding-left: 20px !important;
    padding-right: 20px !important;
}

.slick-slide h3 a {
    color: white;
}

.fsc-default>div#modal-request-form {
    max-width: 700px;
    margin-left: auto;
    margin-right: auto;
}

@media (min-width:992px) {
    .tx-cardealer-filter form.default-search {
        display: flex !important;
        flex-direction: row;
        flex-wrap: wrap;
        margin-left: -0.5rem;
        margin-right: -0.5rem;
    }
    .tx-cardealer-filter .sorting_field.formField,
    .tx-cardealer-filter .wrapper {
        position: relative;
        margin-bottom: 1rem;
        flex: 1 1 20%;
        max-width: 20%;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }
    .tx-cardealer-filter a.ajaxLink.reset {
        position: absolute;
        top: -3rem;
        left: auto;
        right: 1px;
        margin-top: -4px;
    }
    #carDetails h2.model_description .backlink {
        line-height: 2.1;
    }
}

.col-md-6 .slick-slider.slick-initialized .slick-slide .specials-image img {
    max-height: 390px;
}

.col-md-6 .cardealer-short-info {
    display: flex;
}

.col-md-6 .cardealer-short-info span.ellipsis {
    text-overflow: initial;
    width: auto;
}

.col-md-6 .cardealer-short-info span.ellipsis:after {
    content: ", ";
    position: relative;
    padding-right: 5px;
}

.col-md-6 .cardealer-short-info span.ellipsis:last-child:after {
    content: "";
    position: relative;
    padding-right: 0;
}

i.text-muted.mwst {
    font-size: 85%;
}

button.slick-arrow {
    z-index: 111;
}

.tx-cardealer .slick-arrow {
    top: 13.35rem;
}

.slick-prev {
    left: -0.9rem;
    z-index: 1140;
}

.slick-next {
    right: 0.9rem;
    z-index: 1140;
}

.slick-slider .slick-prev:before,
.slick-slider .slick-next:before {
    color: #555;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    background-image: none !important;
    background-color: transparent;
}

.carousel-control-prev-icon:before,
.carousel-control-next-icon:before,
.slick-slider .slick-prev:before,
.slick-slider .slick-next:before {
    font-size: 2.6666rem !important;
    font-family: "font awesome 5 free" !important;
    font-weight: 700 !important;
    background-color: transparent !important;
    color: #aaa !important;
    padding: 0.25rem 0.75rem !important;
}

.slick-slider .slick-prev:before,
.slick-slider .slick-next:before {
    opacity: 0.5;
    transition: all 150ms ease;
}

.slick-slider .slick-prev:hover::before,
.slick-slider .slick-next:hover::before {
    opacity: 0.9;
    transition: all 150ms ease;
}

.carousel-control-prev-icon:before,
.slick-slider .slick-prev:before {
    content: "\f053" !important;
}

.carousel-control-next-icon:before,
.slick-slider .slick-next:before {
    content: "\f054" !important;
}

@media (max-width:991.98px) {
    .tx-cardealer .to-detail {
        margin-top: 0.5rem;
    }
    .tx-cardealer-filter form.default-search {
        flex-direction: column;
    }
    .tx-cardealer .slick-slider .slick-track .slick-slide {
        max-width: 40vw;
        width: 40vw;
    }
    .slick-slide h3 {
        position: relative;
        font-size: 1.1rem;
        top: auto;
    }
    #carDetails .btn .material-icon {
        top: -0.5rem;
    }
    #carDetails h2.model_description .backlink {
        display: block;
        position: relative;
        line-height: initial;
        margin-bottom: 1rem;
    }
    div#modal-request-form {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }
}

@media (max-width:767.98px) {
    .tx-cardealer .slick-slider .slick-track .slick-slide {
        max-width: 75vw;
        width: 75vw;
    }
}

@media (max-width:575.98px) {
    .tx-cardealer .slick-slider .slick-track .slick-slide {
        max-width: 80vw;
        width: 80vw;
    }
}